//priority: 1
StartupEvents.registry('item', event => {

  //Food:
      event.create('omelette').texture('gamma:item/omelette').maxStackSize(8).displayName('Omelette').name(itemstack => 'Omelette').food(food => {
      food.hunger(6).saturation(0.5)
            })

      event.create('carrot_cake').texture('gamma:item/carrot_cake').maxStackSize(8).displayName('Carrot Cake').name(itemstack => 'Carrot Cake').food(food => {
      food.hunger(12).saturation(0.5)
            })

      event.create('waffle').texture('gamma:item/waffle').maxStackSize(8).displayName('Waffle').name(itemstack => 'Waffle').food(food => {
      food.hunger(8).saturation(0.5)
            })

      event.create('croissant').texture('gamma:item/croissant').maxStackSize(8).displayName('Croissant').name(itemstack => 'Croissant').food(food => {
      food.hunger(6).saturation(0.5)
            })

      event.create('butter').texture('gamma:item/butter').maxStackSize(8).displayName('Butter').name(itemstack => 'Butter').food(food => {
      food.hunger(2).saturation(0.5)
            })

      event.create('marshmallow').texture('gamma:item/marshmallow').maxStackSize(8).displayName('Marshmallow').name(itemstack => 'Marshmallow').food(food => {
      food.hunger(3).saturation(0.5)
            })

      event.create('golden_potato').texture('gamma:item/golden_potato').maxStackSize(8).displayName('Golden Potato').name(itemstack => 'Golden Potato').food(food => {
      food.hunger(2).saturation(0.5)
            })

      event.create('soul_dust').texture('gamma:item/soul_dust').maxStackSize(16).displayName('Soul Dust').name(itemstack => 'Soul Dust')

      event.create('ancient_rod').texture('gamma:item/ancient_rod').maxStackSize(64).displayName('Ancient Rod').name(itemstack => 'Ancient Rod')

  })

